#ifndef _EllE_User_
#define _EllE_User_

#define UserSize					5

typedef struct UserInfoCell{
	
	char userName[32];
	char userStatus;		//是否能操作标识
	
}UserInfoCell;

typedef struct UserInfo{
	unsigned char head[2];
	UserInfoCell user[UserSize];
}UserInfo;



void initUserInfo(void);
void saveUserInfo(void);

//得到当前多少个用户
char getUserSize(void);
//获取用户名字
char getUserName(unsigned char index,char *name);
//判断用户是否存在
char checkUserExist(char *name);

//添加一个用户
char addUser(char *name);
//删除一个用户
char deletUser(unsigned char index);

//检查用户是否可以操作
char checkUserHandle(char *name);
//设置用户可用状态
char setUserStatus(char *name,char status);



#endif

